/* 
   $Id: callbacks.h,v 1.9 2002/12/28 09:18:58 bhepple Exp $

   part of gjots - a gnome/X11 jotter

   Copyright (C) 2002 Robert Hepple 

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.

*/

#include <gnome.h>

extern int					readonlyCheckButtonGuard;

int 						doGeneralDialog(char *title,
											char *prompt,
											int  buttonMask,
											int  num_fields, /* 0, 1 or 2 */
											int  is_password,
											char *feedback,
											char *field1_label,
											char *field1_default,
											char *field1_retval,
											int  field1_retval_length,
											char *field2_label,
											char *field2_default,
											char *field2_retval,
											int  field2_retval_length);
void 						doWarning(char *prompt);
int 						doConfirm(char *prompt);

extern void					msg(char *);
extern void					unmsg(void);
extern int 					confirm(char *msg);
extern void					doCopy(void);
extern void					doCut(void);
extern void					doPaste(void);

void
on_new_file1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void quit_gjots							(void);

void
on_exit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_clear1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_properties1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

/********* LEFT TOOLBAR *********/

void
on_newFolderButton_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_newPageButton_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_upButton_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_downButton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_promoteButton_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_demoteButton_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_cutButton_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_copyButton_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_pasteButton_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

/********* button-3 popup *********/

void
on_cutMenuItem_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_copyMenuItem_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_pasteMenuItem_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_rename_activate         			   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_renameItemOK_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_renameItemCancel_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_confirmNoButton_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_confirmYesButton_clicked             (GtkButton       *button,
										 gpointer         user_data);

void
on_confirmCancelButton_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_fileselectionOkButton_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_fileselectionCancelButton_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_item_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_add_folder_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_promote_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_demote_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_up_activate                         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_down_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

/********* TOP MENUBAR *********/

void
on_openButton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_saveButton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_optionsButton_clicked               (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_renameItemEntry_key_release_event   (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_confirm_key_release_event           (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_fileselection_key_release_event     (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_import_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exportMenuItem_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_export_items_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_export_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_gjots_button_release_event          (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_gjots_key_release_event             (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_renameButton_clicked                (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_fileselection_key_press_event       (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_confirm_key_press_event             (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_wrapButton_clicked            	(GtkButton *togglebutton,
									 gpointer         user_data);

void
on_generalOK_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_generalCancel_clicked               (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_generalField1_key_press_event       (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_generalField2_key_press_event       (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_generalYes_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_generalNo_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_textDisplay_key_press_event         (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_textDisplay_changed                 (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_prefsOK_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_prefsCancel_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_prefs_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_editorButton_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_dateButton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_fontButton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_fontOK_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_fontCancel_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_fontApply_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_find1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_find_again1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_findButton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_findStartButton_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_findCloseButton_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_replaceStartButton_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_replaceAllButton_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancelButton_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_findDialog_destroy                  (GtkObject       *object,
                                        gpointer         user_data);

gboolean
on_findEntry_key_press_event           (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_replaceEntry_key_press_event        (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_findCloseButton_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_findCancelButton_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_findClearButton_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_textDisplay_move_cursor             (GtkEditable     *editable,
                                        gint             x,
                                        gint             y,
                                        gpointer         user_data);

void
on_demote_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_generalTryagain_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_generalReadonly_clicked             (GtkButton       *button,
                                        gpointer         user_data);


void
on_readOnly_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_topToolbarCheck_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_leftToolbarCheck_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_read_manual_handler                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_gjots_destroy                       (GtkObject       *object,
                                        gpointer         user_data);
