/* 
   $Id: main.h,v 1.7 2002/12/28 09:18:58 bhepple Exp $

   part of gjots - a gnome/X11 jotter

   Copyright (C) 2002 Robert Hepple 

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.

*/

#define MAXBUF 1024
#define MAXSTRING 128
#define MAXTITLE 128

#define READONLY_ENQ -1
#define READONLY_CLEAR 0
#define READONLY_SET 1

#include <gdk/gdk.h>

extern GtkWidget 		*gjots;
extern GtkTree			*tree;
extern GtkTreeItem		*root;
extern GnomeAppBar  	*appbar;
extern GtkText			*textDisplay;
extern GdkFont			*textDisplayFont;
extern GtkMenu			*treeItemMenu;

#define WAITING 		1
#define YES 			1<<1
#define OK 				1<<2
#define NO 				1<<3
#define CANCEL 			1<<4
#define TRYAGAIN		1<<5
#define READONLY		1<<6

struct payload_s {
	char *text;
};

struct prefs_s {
	int		lineLength;
	char	externalEditor[MAXSTRING];
	char	dateFormat[MAXSTRING];
	char	fontName[MAXSTRING];
	char	findString[MAXSTRING];
	char 	replaceString[MAXSTRING];
	int		matchCase;
	int		backwardsSearch;
	int		findStringIsRegex;
	int		findIsGlobal;
	int		treeWidth;
};
extern struct prefs_s prefs;

extern int			dirty_data;

void read_rc_file(char *, char *);
void write_rc_file(void);
void enablePaste(void);
void disablePaste(void);
char *safe_strncpy(char *, char *, int);
